import { Direction } from "parsegraph-direction";
import { PaintedNode } from "parsegraph-artist";
import Navport from "./Navport";
import AnimatedSpotlight from "parsegraph-animatedspotlight";
import { Projector } from "parsegraph-projector";
export default class NavportCursor {
    _focusedNode: PaintedNode;
    _nav: Navport;
    _spotlight: AnimatedSpotlight;
    _showSpotlight: boolean;
    constructor(navport: Navport);
    showSpotlight(): void;
    hideSpotlight(): void;
    isSpotlightShown(): boolean;
    spotlight(): AnimatedSpotlight;
    nav(): Navport;
    carousel(): import("..").Carousel;
    focusedNode(): PaintedNode;
    camera(): import("parsegraph-camera").default;
    setFocusedNode(focusedNode: PaintedNode): void;
    moveToEnd(dir: Direction): boolean;
    moveForwardly(skipHorizontalInward?: boolean, event?: any): boolean;
    moveInwardly(dir: Direction): boolean;
    moveOutwardly(dir: Direction): boolean;
    moveFocus(dir: Direction): boolean;
    update(_: Date): boolean;
    paint(projector: Projector): boolean;
    render(proj: Projector): boolean;
}
//# sourceMappingURL=NavportCursor.d.ts.map