import { Keystroke } from "parsegraph-input";
import NavportCursor from "./NavportCursor";
import { PaintedNode } from "parsegraph-artist";
import { KeyController } from "parsegraph-input";
export default class NavportKeyController implements KeyController {
    keydowns: {
        [id: string]: Date;
    };
    _cursor: NavportCursor;
    constructor(cursor: NavportCursor);
    lastMouseX(): number;
    lastMouseY(): number;
    getKey(key: string): 1 | 0;
    keyElapsed(key: string, t: Date): number;
    cursor(): NavportCursor;
    scheduleRepaint(): void;
    carousel(): import("..").Carousel;
    focusedNode(): PaintedNode;
    keydown(event: Keystroke): boolean;
    keyup(event: Keystroke): boolean;
    clearImpulse(): void;
    focusMovementNavKey(event: Keystroke): boolean;
    focusNavKey(event: Keystroke): boolean;
    nav(): import("./Navport").default;
    focusKey(event: Keystroke): boolean;
    navKey(event: Keystroke): boolean;
    camera(): import("parsegraph-camera").default;
    nodeUnderCursor(): PaintedNode;
    update(t: Date): boolean;
}
//# sourceMappingURL=NavportKeyController.d.ts.map